Retrieve Forgot Password Token

Generates a Forgot Password Token for the User and optionally sends an Email with the token.

POST
/identity/v2/manage/account/forgot/token

Generates a Forgot Password Token for the User and optionally sends an Email with the token.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Query Parameters

sendemail?string

Indicates whether to send an Email with the forgot Password token.

Value in"true" | "false"
resetpasswordurl?string

Callback URL for the Password Reset link in the Email.

emailtemplate?string

Name of the Email template to use for this notification.

prevent_webhook?boolean

When true, suppresses webhook events for this operation.

Header Parameters

X-PreventWebhook?boolean

When true, suppresses webhook events for this operation.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Username*string

The Username to validate or process.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/identity/v2/manage/account/forgot/token?sendemail=true&resetpasswordurl=https%3A%2F%2Fexample.com%2Fresetpassword&emailtemplate=Email-Template&prevent_webhook=true" \  -H "X-PreventWebhook: true" \  -H "Content-Type: application/json" \  -d '{    "Username": "john_doe"  }'
{
  "ForgotToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
  "IdentityProviders": [
    "google",
    "facebook"
  ]
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The email is a required parameter."
}

{
  "ErrorCode": 902,
  "Message": "The API secret is unauthorized",
  "Description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}

{
  "ErrorCode": 938,
  "Message": "User does not exist",
  "Description": "The user does not exist, please use a valid user in order to process this request."
}